--- Turns an itemLink into a numeric itemId.
-- @param itemLink String (item link). The link to the item.
-- @return The numeric value of the item ID embedded in the item link.
function Tally.parseItemLink(itemLink)
  local _, itemId = strsplit(":", itemLink)
  return tonumber(itemId)
end

function Tally.ParseGUID(guid)
  -- The fifth character (third hex digit) of a guid denotes the type of object.
  local typeChar = strsub(guid, 5, 5)
  if (typeChar == "0") then  -- player
    return strsub(guid, 6), "PLAYER"
  elseif (typeChar == "3") then -- NPC
    return tonumber(guid:sub(6,10), 16), "NPC"
  elseif (typeChar == "4") then -- permanent pet
    return tonumber(guid:sub(7,10), 16), "PET"
  elseif (typeChar == "5") then  -- vehicle
    return tonumber(guid:sub(7,10), 16), "VEHICLE"
  end
end

--- Debug-print a table.  Makes no attempt to do anything fancy with, for example, nested tables.
-- @param t Table. The table whose values are to be printed.
function Tally.printTable(t)
  for k, v in pairs(t) do
    print(k .. " => " .. v)
  end
end
